TransactionStats (Oracle Corporation - Berkeley DB Java API)
Keywords: com.sleepycat.db.TransactionStats class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class TransactionStats

    java.lang.Object
      com.sleepycat.db.TransactionStats

    public class TransactionStats

extends Object

Transaction statistics for a database environment.

Nested Class Summary
`static class` | `TransactionStats.Active` The Active class represents an active transaction.

Method Summary
`LogSequenceNumber` | `getLastCkp()` The LSN of the last checkpoint.
`int` | `getLastTxnId()` The last transaction ID allocated.
`int` | `getMaxNactive()` The maximum number of active transactions at any one time.
`int` | `getMaxNsnapshot()` The maximum number of transactions on the snapshot list at any one time.
`int` | `getMaxTxns()` The maximum number of active transactions configured.
`int` | `getNaborts()` The number of transactions that have aborted.
`int` | `getNactive()` The number of transactions that are currently active.
`int` | `getNumBegins()` The number of transactions that have begun.
`int` | `getNumCommits()` The number of transactions that have committed.
`int` | `getNumRestores()` The number of transactions that have been restored.
`int` | `getNumSnapshot()` The number of transactions on the snapshot list.
`int` | `getRegionNowait()` The number of times that a thread of control was able to obtain the region lock without waiting.
`int` | `getRegionWait()` The number of times that a thread of control was forced to wait before obtaining the region lock.
`int` | `getRegSize()` The size of the region.
`long` | `getTimeCkp()` The time the last completed checkpoint finished (as the number of seconds since the Epoch, returned by the IEEE/ANSI Std 1003.1 (POSIX) time interface).
`TransactionStats.Active[]` | `getTxnarray()` The array of active transactions.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLastCkp

    public LogSequenceNumber getLastCkp()

  The LSN of the last checkpoint.

### getTimeCkp

    public long getTimeCkp()

  The time the last completed checkpoint finished (as the number of seconds since the Epoch, returned by the IEEE/ANSI Std 1003.1 (POSIX) time interface).

### getLastTxnId

    public int getLastTxnId()

  The last transaction ID allocated.

### getMaxTxns

    public int getMaxTxns()

  The maximum number of active transactions configured.

### getNaborts

    public int getNaborts()

  The number of transactions that have aborted.

### getNumBegins

    public int getNumBegins()

  The number of transactions that have begun.

### getNumCommits

    public int getNumCommits()

  The number of transactions that have committed.

### getNactive

    public int getNactive()

  The number of transactions that are currently active.

### getNumSnapshot

    public int getNumSnapshot()

  The number of transactions on the snapshot list. These are transactions which modified a database opened with `DatabaseConfig.setMultiversion(boolean)`, and which have committed or aborted, but the copies of pages they created are still in the cache.

### getNumRestores

    public int getNumRestores()

  The number of transactions that have been restored.

### getMaxNactive

    public int getMaxNactive()

  The maximum number of active transactions at any one time.

### getMaxNsnapshot

    public int getMaxNsnapshot()

  The maximum number of transactions on the snapshot list at any one time.

### getRegionWait

    public int getRegionWait()

  The number of times that a thread of control was forced to wait before obtaining the region lock.

### getRegionNowait

    public int getRegionNowait()

  The number of times that a thread of control was able to obtain the region lock without waiting.

### getRegSize

    public int getRegSize()

  The size of the region.

### getTxnarray

    public TransactionStats.Active[] getTxnarray()

  The array of active transactions.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.5.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright(c) 1996-2006 Oracle Corporation - All rights reserved.